aboutsummaryrefslogtreecommitdiff
path: root/git-bisect.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2007-02-01 21:47:34 -0800
committerJunio C Hamano <junkio@cox.net>2007-02-01 21:47:34 -0800
commit08f1675059c09b7ee0b8ed16bc059472d07bb9e5 (patch)
treeb463d166b5087ae201bddc66cc13129a65e829fb /git-bisect.sh
parent6124aee5d903150a649a75bf51a68b4bdfd67140 (diff)
downloadgit-08f1675059c09b7ee0b8ed16bc059472d07bb9e5.tar.gz
git-08f1675059c09b7ee0b8ed16bc059472d07bb9e5.tar.xz
Use "git checkout -q" in git-bisect
Converts one use of git-checkout in git-bisect not to say "switching to branch". It looks like all the other cases it is friendlier to give notice to the end user. Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-bisect.sh')
-rwxr-xr-xgit-bisect.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-bisect.sh b/git-bisect.sh
index 6da31e87a..e8d341898 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -152,7 +152,7 @@ bisect_next() {
nr=$(eval "git-rev-list $rev $good -- $(cat $GIT_DIR/BISECT_NAMES)" | wc -l) || exit
echo "Bisecting: $nr revisions left to test after this"
echo "$rev" > "$GIT_DIR/refs/heads/new-bisect"
- git checkout new-bisect || exit
+ git checkout -q new-bisect || exit
mv "$GIT_DIR/refs/heads/new-bisect" "$GIT_DIR/refs/heads/bisect" &&
GIT_DIR="$GIT_DIR" git-symbolic-ref HEAD refs/heads/bisect
git-show-branch "$rev"